org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub

- Enclosing class:
    CacheConfig

      public static class CacheConfig.GatewayHub
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="gateway" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <choice>
                           <element name="gateway-endpoint" maxOccurs="unbounded">
                             <complexType>
                               <complexContent>
                                 <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                   <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                   <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                   <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 </restriction>
                               </complexContent>
                             </complexType>
                           </element>
                           <element name="gateway-listener" maxOccurs="unbounded">
                             <complexType>
                               <complexContent>
                                 <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                   <sequence>
                                     <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                                     <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                                   </sequence>
                                 </restriction>
                               </complexContent>
                             </complexType>
                           </element>
                         </choice>
                         <element name="gateway-queue" minOccurs="0">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                 <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                 <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                                 <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                                 <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                       <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="startup-policy">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="primary"/>
                   <enumeration value="secondary"/>
                   <enumeration value="none"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CacheConfig.GatewayHub.Gateway` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `bindAddress`
    `protected java.util.List<CacheConfig.GatewayHub.Gateway>` | `gateway`
    `protected java.lang.String` | `id`
    `protected java.lang.Boolean` | `manualStart`
    `protected java.math.BigInteger` | `maxConnections`
    `protected java.lang.String` | `maximumTimeBetweenPings`
    `protected java.lang.String` | `port`
    `protected java.lang.String` | `socketBufferSize`
    `protected java.lang.String` | `startupPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayHub()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBindAddress()` Gets the value of the bindAddress property.
    `java.util.List<CacheConfig.GatewayHub.Gateway>` | `getGateway()` Gets the value of the gateway property.
    `java.lang.String` | `getId()` Gets the value of the id property.
    `java.math.BigInteger` | `getMaxConnections()` Gets the value of the maxConnections property.
    `java.lang.String` | `getMaximumTimeBetweenPings()` Gets the value of the maximumTimeBetweenPings property.
    `java.lang.String` | `getPort()` Gets the value of the port property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.String` | `getStartupPolicy()` Gets the value of the startupPolicy property.
    `java.lang.Boolean` | `isManualStart()` Gets the value of the manualStart property.
    `void` | `setBindAddress(java.lang.String value)` Sets the value of the bindAddress property.
    `void` | `setId(java.lang.String value)` Sets the value of the id property.
    `void` | `setManualStart(java.lang.Boolean value)` Sets the value of the manualStart property.
    `void` | `setMaxConnections(java.math.BigInteger value)` Sets the value of the maxConnections property.
    `void` | `setMaximumTimeBetweenPings(java.lang.String value)` Sets the value of the maximumTimeBetweenPings property.
    `void` | `setPort(java.lang.String value)` Sets the value of the port property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.
    `void` | `setStartupPolicy(java.lang.String value)` Sets the value of the startupPolicy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gateway

          protected java.util.List<CacheConfig.GatewayHub.Gateway> gateway

    - #### id

          protected java.lang.String id

    - #### bindAddress

          protected java.lang.String bindAddress

    - #### maximumTimeBetweenPings

          protected java.lang.String maximumTimeBetweenPings

    - #### port

          protected java.lang.String port

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### startupPolicy

          protected java.lang.String startupPolicy

    - #### manualStart

          protected java.lang.Boolean manualStart

    - #### maxConnections

          protected java.math.BigInteger maxConnections

  - ### Constructor Detail

    - #### GatewayHub

          public GatewayHub()

  - ### Method Detail

    - #### getGateway

          public java.util.List<CacheConfig.GatewayHub.Gateway> getGateway()

      Gets the value of the gateway property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gateway property.

      For example, to add a new item, do as follows:

           getGateway().add(newItem);

      Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub.Gateway`

    - #### getId

          public java.lang.String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBindAddress

          public java.lang.String getBindAddress()

      Gets the value of the bindAddress property.
      Returns:
        possible object is `String`

    - #### setBindAddress

          public void setBindAddress(java.lang.String value)

      Sets the value of the bindAddress property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaximumTimeBetweenPings

          public java.lang.String getMaximumTimeBetweenPings()

      Gets the value of the maximumTimeBetweenPings property.
      Returns:
        possible object is `String`

    - #### setMaximumTimeBetweenPings

          public void setMaximumTimeBetweenPings(java.lang.String value)

      Sets the value of the maximumTimeBetweenPings property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPort

          public java.lang.String getPort()

      Gets the value of the port property.
      Returns:
        possible object is `String`

    - #### setPort

          public void setPort(java.lang.String value)

      Sets the value of the port property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property.
      Returns:
        possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartupPolicy

          public java.lang.String getStartupPolicy()

      Gets the value of the startupPolicy property.
      Returns:
        possible object is `String`

    - #### setStartupPolicy

          public void setStartupPolicy(java.lang.String value)

      Sets the value of the startupPolicy property.
      Parameters:
        `value` - allowed object is `String`

    - #### isManualStart

          public java.lang.Boolean isManualStart()

      Gets the value of the manualStart property.
      Returns:
        possible object is `Boolean`

    - #### setManualStart

          public void setManualStart(java.lang.Boolean value)

      Sets the value of the manualStart property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getMaxConnections

          public java.math.BigInteger getMaxConnections()

      Gets the value of the maxConnections property.
      Returns:
        possible object is `BigInteger`

    - #### setMaxConnections

          public void setMaxConnections(java.math.BigInteger value)

      Sets the value of the maxConnections property.
      Parameters:
        `value` - allowed object is `BigInteger`